#!/bin/sh

echo "Bot Tok Install"

# Install Chromium
apk update && apk add --no-cache nmap && \
    echo @edge http://nl.alpinelinux.org/alpine/edge/community >> /etc/apk/repositories && \
    echo @edge http://nl.alpinelinux.org/alpine/edge/main >> /etc/apk/repositories && \
    apk update && \
    apk add --no-cache \
    chromium

# Check and install required software if needed
programs="nodejs yarn git openssh"
for program in $programs; do
    if ! command -v $program >/dev/null 2>&1; then
        echo "Installing $program..."
        apk add --no-cache $program
    else
        echo "$program already installed."
        $program --version
    fi
done

# Add your SSH Public Key to your GitHub account
echo "Add your SSH Public Key to your GitHub account"

ssh-keygen
cat ~/.ssh/id_rsa.pub

echo "Copy its content and paste it into your GitHub account in https://github.com/settings/keys"
echo "Once this is done press enter to continue"
read

# Clone Repository
git clone git@github.com:jfadev/bottok.git
cd bottok

# Install BotTok
echo "Installing BotTok..."
yarn install

# Start BotTok
echo "Starting BotTok..."
node bottok.js
